#!/bin/sh

. ./package.env

rm $(find . -type f | grep -E ^\./bfile_cli.\*)

GOOS=linux GOARCH=386 go build -o "bfile_cli.linux.i386" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=linux GOARCH=amd64 go build -o "bfile_cli.linux.amd64" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=linux GOARCH=arm64 go build -o "bfile_cli.linux.arm64" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=linux GOARCH=arm go build -o "bfile_cli.linux.arm64" -ldflags "-s -w -X main.version=$VERSION" . &

GOOS=windows GOARCH=386 go build -o "bfile_cli.windows.i386.exe" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=windows GOARCH=amd64 go build -o "bfile_cli.windows.amd64.exe" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=windows GOARCH=arm64 go build -o "bfile_cli.windows.arm64.exe" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=windows GOARCH=arm go build -o "bfile_cli.windows.arm64" -ldflags "-s -w -X main.version=$VERSION" . &

GOOS=darwin GOARCH=amd64 go build -o "bfile_cli.darwin.amd64" -ldflags "-s -w -X main.version=$VERSION" . &
GOOS=darwin GOARCH=arm64 go build -o "bfile_cli.darwin.arm64" -ldflags "-s -w -X main.version=$VERSION" . &

wait
